Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.trans
Class LOBInsertBatchQueryBuilder

    java.lang.Object
      org.apache.cayenne.access.trans.BatchQueryBuilder
          org.apache.cayenne.access.trans.LOBBatchQueryBuilder
              org.apache.cayenne.access.trans.LOBInsertBatchQueryBuilder

    public class LOBInsertBatchQueryBuilder

extends LOBBatchQueryBuilder

Author:
  Andrei Adamchik

Field Summary

Fields inherited from class org.apache.cayenne.access.trans.LOBBatchQueryBuilder
`newBlobFunction, newClobFunction`

Fields inherited from class org.apache.cayenne.access.trans.BatchQueryBuilder
`adapter, trimFunction`

Constructor Summary
`LOBInsertBatchQueryBuilder(DbAdapter adapter)`

Method Summary
`java.lang.String` | `createSqlString(BatchQuery batch)` Translates BatchQuery into an SQL string formatted to use in a PreparedStatement.
`java.util.List` | `getValuesForLOBUpdateParameters(BatchQuery query)`

Methods inherited from class org.apache.cayenne.access.trans.LOBBatchQueryBuilder
`appendUpdatedParameter, bindParameters, createLOBSelectString, getNewBlobFunction, getNewClobFunction, isUpdateableColumn, setNewBlobFunction, setNewClobFunction`

Methods inherited from class org.apache.cayenne.access.trans.BatchQueryBuilder
`appendDbAttribute, bindParameters, getAdapter, getParameterValues, getTrimFunction, setAdapter, setTrimFunction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LOBInsertBatchQueryBuilder

    public LOBInsertBatchQueryBuilder(DbAdapter adapter)

Method Detail

### getValuesForLOBUpdateParameters

    public java.util.List getValuesForLOBUpdateParameters(BatchQuery query)

  Specified by:
    `getValuesForLOBUpdateParameters` in class `LOBBatchQueryBuilder`

### createSqlString

    public java.lang.String createSqlString(BatchQuery batch)

  Description copied from class: `BatchQueryBuilder`
  Translates BatchQuery into an SQL string formatted to use in a PreparedStatement.

  Specified by:
    `createSqlString` in class `BatchQueryBuilder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.